# Export Flattened BOM to Excel

This module extends the functionality of the MRP capabilities of Odoo, and allows you to export the flattened BOM to MS Excel .XLSX format.

A flattened bill of material removes the intermediate levels in the BOM and connect the lowest levels directly to the highest level.

A list of the sum of lowest levels will be shown for every BoM you export using this method.

It also maintains units correctly across all nested BOM’s and take units that have been defined in product Unit of Measure field.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To use this module, you need to:

1. Go to ‘Manufacturing / Products / Bill of Materials’

2. Select a BOM or more BOMS

   (Could be interesting to modify quantities of these BOMs)

3. Go to ‘Print / Export Flattened BOM to Excel’.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ForgeFlow

## Contributors

- Héctor Villarreal <hector.villarreal@forgeflow.com>
- Lois Rilo <lois.rilo@forgeflow.com>
- Joan Mateu <joan.mateu@forgeflow.com>
- Dhara Solanki <dhara.solanki@initos.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/manufacture-reporting project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.